This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 435287 - Review Request: ocaml-json-static - OCaml JSON validator and converter (syntax extension)
Review Request: ocaml-json-static - OCaml JSON validator and converter (synta...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On: 435286
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-28 09:57 EST by Richard W.M. Jones
Modified: 2008-05-13 15:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-13 15:38:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-02-28 09:57:38 EST
Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-json-static.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-json-static-0.9.6-1.fc9.src.rpm
Description: OCaml JSON validator and converter (syntax extension)here>
Comment 1 Richard W.M. Jones 2008-02-28 10:00:26 EST
This package is rpmlint-clean except for:

ocaml-json-static.i386: E: no-binary
ocaml-json-static.i386: E: only-non-binary-in-usr-lib

These are not bugs in the package.  See bug 433783.
Comment 2 Jason Tibbitts 2008-05-10 21:44:31 EDT
I'm realizing that the text in the guidelines about .cmo files is pretty inadequate, because as a reviewer I simply have no way to tell if the .cmo file in this package actually needs to be there.  I guess this could be a syntax extension but I just don't have enough information to decide.  Perhaps it's a reasonable guess that if the package needs camlp4 then it's going to be building a syntax extension/preprocessor?

The %description seems to be left over from the example specfile on the wiki.

* source files match upstream:
   d3e2065b332e9633bde3b70235460900f13db4618dea73bd8eb3fa61dea9c84f
   json-static-0.9.6.tar.bz2
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
X description is, erm, not there.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
   ocaml(Pa_json_static) = 01714080414115d1c2ac98ce33810af4
   ocaml-json-static = 0.9.6-1.fc9
  =
   ocaml-json-wheel
   ocaml-camlp4
   ocaml(Arg) = 03e86a4154064ea900dc32c05f53e364
   ocaml(Array) = aa8e3cd5824f9bb40b93fcd38d0c95b5
   ocaml(Buffer) = f6cef633ea14963b84b79c4095c63dc3
   ocaml(Camlp4) = 1e46a133b8062d1571640f7fa36f32c4
   ocaml(Camlp4_config) = cb716b4361f43326c6ad695c7a1bb5c0
   ocaml(Camlp4_import) = 0134ca95282ef6821081c0c11802cea0
   ocaml(Char) = e98bc9c9e918a84b3c1a5a122d42fac1
   ocaml(Filename) = 633a1e7f590ff5e95124293dbef3b476
   ocaml(Format) = 35fe566f7a37d8991a5c822bd1463949
   ocaml(Hashtbl) = 083f2c94b44ff4e0b3220aaea6a783b4
   ocaml(Int32) = 711321870c949bd3bbdd092d9bae92e4
   ocaml(Int64) = f8f7e2e4c0667ead94596040b12e732d
   ocaml(Lexing) = b1793496643444d3762dd42bebe2cfe3
   ocaml(List) = da1ce9168f0408ff26158af757456948
   ocaml(Map) = dedde7683d54ae7db1eb97cc868dd047
   ocaml(Nativeint) = e79cdc4d3575c2ed044955cb7ef49aca
   ocaml(Obj) = 5cfae708052c692ea39d23ed930fd64d
   ocaml(Parsing) = 62cca107e4e88af303516459a87c3e9a
   ocaml(Pervasives) = 8ba3d1faa24d659525c9025f41fd0c57
   ocaml(Printf) = 5dbbf45a03b54e6dbfcf39178d0d6341
   ocaml(Queue) = caa3a209bfc63d23a30f573541a88fec
   ocaml(Set) = 7da14e671a035f12386ace3890018ef3
   ocaml(Stream) = 21a833e12efd34ea0c87d8d9da959809
   ocaml(String) = 2c162ab314b2f0a2cfd22d471b2e21ab
   ocaml(Sys) = 0da495f5a80f31899139359805318f28
   ocaml(runtime) = 3.10.1

* %check is not present; no test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* .cma, .cmi, .so, .so.owner, META files in the main package.
* .a, .cmxa, .cmx and .mli files are in the -devel subpackage.
? .cmo, .o and .ml files not included
Comment 3 Richard W.M. Jones 2008-05-12 06:14:23 EDT
Yes, I guess it's pretty hard for the reviewer to know if a cmo file is a syntax
extension or not.  (Unfortunately presence of ocaml-camlp4-devel as a BR
is necessary but not sufficient to show that it's a syntax extension).

If the file is 'pa_foo.cmo' (as in this case) then it's certainly a syntax
extension ('pa' means parser).  Not all OCaml syntax extensions use this
convention though.

Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-json-static.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-json-static-0.9.6-3.fc9.src.rpm

* Mon May 10 2008 Richard W.M. Jones <rjones@redhat.com> - 0.9.6-3
- Fixed the description.

* Wed Mar  5 2008 Richard W.M. Jones <rjones@redhat.com> - 0.9.6-2
- Remove ExcludeArch ppc64.

Here's a Koji scratch build:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=604436
Comment 4 Jason Tibbitts 2008-05-12 18:35:53 EDT
OK, this looks fine.  Perhaps we can tweak the guidelines to talk a bit about
detecting syntax extensions.

APPROVED
Comment 5 Richard W.M. Jones 2008-05-13 03:24:16 EDT
New Package CVS Request
=======================
Package Name: ocaml-json-static
Short Description: OCaml JSON validator and converter (syntax extension)
Owners: rjones
Branches: F-8 F-9
InitialCC: rjones
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-05-13 12:56:53 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.